From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/liburing/
Date: Mon, 6 Jul 2020 09:03:06 +0000 (UTC) [thread overview]
Message-ID: <1594026163.684ce5e609906f4954bf3ad218388dfb8b3f24f2.polynomial-c@gentoo> (raw)
commit: 684ce5e609906f4954bf3ad218388dfb8b3f24f2
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 6 09:02:11 2020 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Jul 6 09:02:43 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=684ce5e6
sys-libs/liburing: Added live ebuild
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
sys-libs/liburing/liburing-9999.ebuild | 49 ++++++++++++++++++++++++++++++++++
1 file changed, 49 insertions(+)
diff --git a/sys-libs/liburing/liburing-9999.ebuild b/sys-libs/liburing/liburing-9999.ebuild
new file mode 100644
index 00000000000..13b6926c936
--- /dev/null
+++ b/sys-libs/liburing/liburing-9999.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal toolchain-funcs
+
+DESCRIPTION="Efficient I/O with io_uring"
+HOMEPAGE="https://github.com/axboe/liburing"
+if [[ "${PV}" == *9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/axboe/liburing.git"
+else
+ SRC_URI="https://git.kernel.dk/cgit/${PN}/snapshot/${P}.tar.bz2"
+ KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+fi
+LICENSE="MIT"
+SLOT="0"
+
+IUSE="static-libs"
+
+src_prepare() {
+ default
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local myconf=(
+ --prefix="${EPREFIX}/usr"
+ --libdir="${EPREFIX}/usr/$(get_libdir)"
+ --libdevdir="${EPREFIX}/usr/$(get_libdir)"
+ --mandir="${EPREFIX}/usr/share/man"
+ --cc="$(tc-getCC)"
+ )
+ # No autotools configure! "econf" will fail.
+ TMPDIR="${T}" ./configure "${myconf[@]}"
+}
+
+multilib_src_compile() {
+ emake V=1 AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)"
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ if ! use static-libs ; then
+ find "${ED}" -type f -name "*.a" -delete || die
+ fi
+}
next reply other threads:[~2020-07-06 9:03 UTC|newest]
Thread overview: 94+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-07-06 9:03 Lars Wendler [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-12 8:35 [gentoo-commits] repo/gentoo:master commit in: sys-libs/liburing/ Florian Schmaus
2024-12-28 17:33 Andreas Sturmlechner
2024-12-28 13:12 Arthur Zamarin
2024-12-28 13:12 Arthur Zamarin
2024-11-01 9:55 Florian Schmaus
2024-10-31 18:39 Florian Schmaus
2024-10-25 11:52 Arthur Zamarin
2024-10-25 11:52 Arthur Zamarin
2024-10-15 1:45 Sam James
2024-09-28 10:27 Arthur Zamarin
2024-09-26 8:26 Arthur Zamarin
2024-09-07 6:13 Arthur Zamarin
2024-08-22 10:11 Florian Schmaus
2024-08-22 9:51 Florian Schmaus
2024-05-06 12:45 Florian Schmaus
2024-05-06 12:40 Florian Schmaus
2023-12-12 8:25 Florian Schmaus
2023-06-10 11:00 Florian Schmaus
2023-06-10 11:00 Florian Schmaus
2023-03-03 17:24 Arthur Zamarin
2023-03-03 17:24 Arthur Zamarin
2023-03-03 17:24 Arthur Zamarin
2023-03-03 17:18 Arthur Zamarin
2023-02-19 12:46 Florian Schmaus
2023-02-13 7:35 Florian Schmaus
2023-01-25 19:20 Arthur Zamarin
2022-11-04 9:17 Florian Schmaus
2022-11-04 9:13 Florian Schmaus
2022-09-19 6:41 Agostino Sarubbo
2022-09-19 6:40 Agostino Sarubbo
2022-09-18 20:30 Arthur Zamarin
2022-09-18 16:19 Arthur Zamarin
2022-09-18 16:11 Arthur Zamarin
2022-09-18 16:11 Arthur Zamarin
2022-09-18 16:11 Arthur Zamarin
2022-07-02 12:21 Agostino Sarubbo
2022-07-02 12:20 Agostino Sarubbo
2022-07-02 12:08 Arthur Zamarin
2022-07-02 7:18 Jakov Smolić
2022-07-02 7:04 Jakov Smolić
2022-07-02 7:02 Jakov Smolić
2022-07-02 7:02 Jakov Smolić
2022-07-01 6:51 Florian Schmaus
2022-07-01 6:51 Florian Schmaus
2022-06-29 7:22 Florian Schmaus
2022-06-29 7:16 Florian Schmaus
2022-05-19 7:28 WANG Xuerui
2022-05-19 7:28 WANG Xuerui
2022-03-28 19:31 Lars Wendler
2022-03-14 15:56 Sam James
2022-02-22 15:33 Lars Wendler
2022-02-22 15:33 Lars Wendler
2021-12-01 20:05 Lars Wendler
2021-11-26 19:28 Arthur Zamarin
2021-11-26 8:51 Agostino Sarubbo
2021-11-26 8:51 Agostino Sarubbo
2021-11-26 8:50 Sam James
2021-11-26 6:34 Sam James
2021-11-26 6:34 Sam James
2021-11-26 6:34 Sam James
2021-09-10 12:01 Lars Wendler
2021-09-10 12:01 Lars Wendler
2021-03-11 17:22 Lars Wendler
2021-03-11 17:21 Lars Wendler
2021-03-11 17:21 Lars Wendler
2020-12-17 0:48 Sam James
2020-11-10 17:44 Sam James
2020-11-07 3:49 Georgy Yakovlev
2020-11-06 10:26 Lars Wendler
2020-11-06 10:26 Lars Wendler
2020-10-31 19:38 Piotr Karbowski
2020-10-26 2:51 Sam James
2020-10-25 23:08 Thomas Deutschmann
2020-10-24 11:55 Sam James
2020-07-16 8:43 Lars Wendler
2020-07-16 7:22 Lars Wendler
2020-07-16 3:45 Sam James
2020-07-15 8:10 Lars Wendler
2020-06-25 9:16 Lars Wendler
2020-06-21 17:13 Agostino Sarubbo
2020-06-21 16:54 Agostino Sarubbo
2020-06-06 9:37 Lars Wendler
2020-05-31 3:44 Matt Turner
2020-05-31 3:44 Matt Turner
2020-05-06 8:01 Lars Wendler
2020-05-06 6:48 Sergei Trofimovich
2020-05-06 6:41 Sergei Trofimovich
2020-05-05 13:46 Lars Wendler
2020-05-02 16:36 Mart Raudsepp
2020-04-16 22:54 Sergei Trofimovich
2020-04-13 8:05 Sergei Trofimovich
2020-04-12 23:19 Sergei Trofimovich
2020-03-02 17:10 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1594026163.684ce5e609906f4954bf3ad218388dfb8b3f24f2.polynomial-c@gentoo \
--to=polynomial-c@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox